<template>
  <v-card class="elevation-12 fill-height">
    <div class="d-flex fill-height flex-nowrap">
      <v-avatar class="ma-3" size="80" tile>
        <v-img :src="lesson.icon" aspect-ratio="0.5" contain></v-img>
      </v-avatar>
      <div class="flex-grow-1">
        <v-card-title class="text-subtitle-2 text-break">
          {{ lesson.name }}
        </v-card-title>
        <v-card-actions>
          <v-btn
            block
            small
            color="primary"
            :to="{ name: 'Lesson.Content', params: { id: lesson.id } }"
            >Читать</v-btn
          >
        </v-card-actions>
      </div>
    </div>
  </v-card>
</template>

<script lang="ts">
import Vue from 'vue';
import Component from 'vue-class-component';
import { Lesson } from '@/domain/entity/lesson/Lesson';
import { Prop } from 'vue-property-decorator';

@Component({})
export default class LessonListItem extends Vue {
  @Prop({
    required: true,
    type: Object
  })
  private readonly lesson!: Lesson;
}
</script>

<style scoped></style>
